/*
 * $Id: Interfaces_test_map.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Interfaces::test_map"
  bool Interfaces::test_map (uint32_t depth, bool top_level)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    std::string tab  = std::string(depth,'\t');

    bool _return = true;

    log_printf(NONE,Behavioural,FUNCTION, "%s* Interfaces \"%s\"",tab.c_str(),_name.c_str());
    
    for (std::list<Interface_fifo*>::iterator i  = _list_interface->begin();
	 i != _list_interface->end();
	 ++i)
      _return &= (*i)->test_map(depth+1, top_level);

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
